
kerio.waw.ui.httpPolicyList = {

x_m: function(x_n) {
var
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_x = kerio.lib.x_x,
x_2w,
x_4u,
x_w1,
x_g4,
x_h9,
x_w2,
x_w3,
x_w4,
x_w5,
x_w6,
x_w7,
x_w8,
x_p4,
x_p5,
x_32,
x_w9,
x_wa,
x_wb,
x_wc,
x_wd;
this.x_ga = x_n;
x_2w = this.x_ga + '_';

x_g4 = function(x_w0) {
if (x_w0 && this.x_wa[x_w0]) {
this.x_wa[x_w0].x_qu = true;
kerio.waw.status.x_14.x_15(true);
x_fi.x_3j();
}
};
x_wd = function(x_47) {
if (!this.x_we && x_r.x_wf.x_wg === x_47.urlCondition.type) {
return true;
}
return false;
};
x_w1 = {
x_gd: true,
x_o: x_o,
x_n: 'x_h9',
x_hi: 'HttpPolicyManager',
x_hw: 'x_wh',

x_i3: function() {
var
x_wi,
x_is;
x_is = this.x_iw(this.x_wd);
if (x_is) {
return 'x_wj';
}
x_wi = x_fi.x_uc.call(this);
if (x_wi) {
return x_wi;
}
return false;
},x_h0: {
x_ud: x_fa.x_ue,
x_wj: {
x_gc: x_x('Some rules are inefficient (Kerio Web Filter is disabled).', 'httpRuleList'),
x_cy: 'ruleInactive'
}
},

x_g4: function(x_3l) {
if (!x_3l) {
x_3l = this;
}
x_3l.x_2p.x_g4(x_3l.x_w0);
},x_5x: {
action: 		{	x_7s: 'action',
x_23: x_x('Action', 'common'),
x_7u: kerio.waw.shared.x_3e.x_8q.x_uk
},
validMimeType:	{	x_7s: 'validMimeType',
x_23: x_x('MIME Type', 'httpRuleList'),
x_1u: 130,

x_7u: function (x_1o, x_47) {
if ('*' === x_1o) {
x_1o = '';
}
return {
x_47: x_1o
};
}, x_ed: {
x_1f: 'x_9u',
x_wk: true,
x_93: 127,
x_ge: true,
x_5z: x_fa.x_wl,

x_9t: function(x_3l) {
x_3l.x_2p.x_g4(x_3l.x_w0);
},
x_gf: function(x_3l, x_ax) {
var x_1o = x_ax.x_2t().trim();
if ('' === x_1o) {
x_ax.x_9w('*');
}
}
}},urlCondition: {	x_7s: 'urlCondition',
x_7t: true},
url: {	x_7s: 'url',
x_23: x_x('URL', 'urlGroupEditor'),
x_1u: 120,

x_7u: function (x_1o, x_47) {
var
x_wm = x_r.x_wf,
x_wn = x_47.urlCondition,
x_wo = x_wn.serverUrlGroup,
x_x = kerio.lib.x_x,
x_cy;
switch (x_wn.type) {
case x_wm.x_wp:
if ('' !== x_wn.url && '*' !== x_wn.url) {
x_1o = x_wn.url;
} else {
x_1o = '';
}
break;
case x_wm.x_wq:
x_1o = x_wo.name;
if (x_wo.invalid) {
x_cy = 'grpHeader urlGroupIcon invalid';
} else {
x_cy = 'groupIcon grpHeader urlGroupIcon';
}
break;
case x_wm.x_wg:
x_1o = x_x('Kerio Web Filter', 'httpPolicy');
x_cy = 'webFilterIcon';
break;
case x_wm.x_wr:
x_1o = x_x('IP address', 'httpRuleList');
x_cy = 'urlByIpIcon';
break;
}
return {
x_47: x_1o,
x_cy: x_cy
};
}},denialCondition: {	x_7s: 'denialCondition',
x_7t: true},
denyKeywords: {	x_7s: 'denyKeywords',
x_7t: true},
skipAvScan: {	x_7s: 'skipAvScan',
x_7t: true},
content:		{	x_7s: 'content',
x_7t  : true
},
properties: {	x_7s: 'properties',
x_23: x_x('Properties', 'ruleList'),
x_1u: 140,

x_7u: function (x_1o, x_47) {
var
x_gc = '',
x_1p = '',
x_ws = x_r.x_im,
x_wt = x_47.action,
x_x = kerio.lib.x_x,
x_wu;
switch (x_wt) {
case x_ws.x_in:
x_wu = x_47.content;
if (x_wu) {

if (x_wu.javaApplet) {
x_gc += (('' === x_gc) ? '' : ', ') + x_x('applets', 'httpRuleList');
}
if (x_wu.embedObject) {
x_gc += (('' === x_gc) ? '' : ', ') + x_x('ActiveX', 'httpRuleList');
}
if (x_wu.script) {
x_gc += (('' === x_gc) ? '' : ', ') + x_x('scripts', 'httpRuleList');
}
if (x_wu.popup) {
x_gc += (('' === x_gc) ? '' : ', ') + x_x('pop-ups', 'httpRuleList');
}
if (x_wu.referer) {
x_gc += (('' === x_gc) ? '' : ', ') + x_x('referer', 'httpRuleList');
}
}
if (x_47.denyKeywords) {
x_gc += (('' === x_gc) ? '' : ', ') + x_x('forbidden words', 'httpRuleList');
}
if ('' !== x_gc) {
x_gc = x_x('Block: %1', 'httpRuleList', { x_49: [x_gc] });
}
if (x_47.skipAvScan) {
x_gc = x_x('Skip AV control', 'httpRuleList') + (('' === x_gc) ? '' : '; ') + x_gc;}
break;
case x_ws.x_up:
x_1p = 'ruleProperties deny';
if (x_47.denialCondition) {
if (x_47.denialCondition.denialText) {
x_gc = x_x('Explanation: %1', 'httpRuleList', { x_49: [x_47.denialCondition.denialText] });
}
if (x_47.denialCondition.canUnlockRule) {
x_1p += ' unlockable';
}
}
break;
case x_ws.x_wv:
if (x_47.denialCondition && x_47.denialCondition.redirectUrl) {
x_gc = x_47.denialCondition.redirectUrl;
x_1p = 'ruleProperties redirect';
}
break;
}
return {
x_47: x_gc,
x_cy: x_1p
};
} }},
x_g3: ['name', 'action', 'properties', 'url', 'userCondition', 'users', 'validMimeType',
'validAddressGroup', 'validAddressGroupEditor', 'validTimeRange', 'validTimeRangeEditor', 'logEnabled',
'id', 'enabled', 'description', 'color', 'urlCondition',
'denialCondition', 'skipAvScan', 'denyKeywords', 'inactive', 'content'
],
x_hy: {
validMimeType: '*',
description: x_x('Any other traffic is allowed (content is scanned for viruses)', 'ruleList'),
color: x_r.x_io.x_ww,
urlCondition: {
type: x_r.x_wf.x_wp,
url: '*'
}
},

x_i1: function(x_47) {
if (this.x_wd(x_47)) {
return true;
}
if (x_fi.x_ug(x_47)) {
return true;
}
if (x_r.x_wf.x_wq === x_47.urlCondition.type && x_47.urlCondition.serverUrlGroup.invalid) {
return true;
}
return false;
},

x_61: function(x_3l, x_eo, x_7s) {
var x_uj;
if (x_3l.x_h7 && 'users' !== x_7s) {
return; }
if (x_eo.x_h5) {
return; }
switch (x_7s) {
case 'action':
case 'properties':
x_uj = 'httpRuleActionEditor';
break;
case 'url':
x_uj = 'httpRuleUrlEditor';
break;
default:
return;
}x_fi.x_3f();
kerio.lib.x_5l.x_5m({
x_5g: x_uj,
x_28: {
x_47: x_eo,
x_5d: x_3l
}
});
},x_gt: [

]}; x_h9 = new kerio.waw.shared.x_17.x_fp(x_2w + 'x_wx', x_w1);
x_h9.x_27({
x_w0: 'x_h9',
x_wd: x_wd,
x_we: false,
x_wy: true
});
if (x_o) {
x_h9.x_5v.x_5w.x_84(false);
}
x_w9 = {	x_1j: 'x_wz',
x_23: x_x('Deny pages if their weight reaches:', 'httpForbiddenWords'),
x_b5: 9999999,
x_r9: 0,
x_93: 7,
x_1u: 55,
x_b6: {
x_b7: false
},

x_9t: function () {
var
x_w3 = this.x_w3,
x_p5 = x_w3.x_2p;
x_p5.x_g4(this.x_w0);
x_p5.x_g4(x_w3.x_w0);
}};
x_w2 = {
x_5q: false,
x_cp: 'description',
x_5p: x_o,
x_5v: {
x_5w: {
x_1f: 'x_x0',
x_1e: [
'->',
{
x_1x: new kerio.lib.x_x1(	x_2w + 'x_92',
x_w9)
}
]
}
},x_5x: {
x_d2: {
x_7s: 'keyword'
},
x_nh: {
x_7s: 'groupName',
x_ni: true,
x_x2: true
},
x_1e: [
{	x_7s: 'id' ,
x_7t  : true
},
{	x_7s: 'keyword',
x_1u: 200,
x_23: x_x('Item', 'common'),
x_ed: {	x_1f: 'x_1q',
x_7s: 'enabled',

x_9t: function(x_3l, x_1o, x_47){
x_fi.x_4y('ForbiddenWordManager',
'set',
{	ids: [x_47.id],
details: x_47});
kerio.waw.status.x_14.x_15(true);
}},

x_7u: function(x_1o, x_47) {
var
x_mo = x_r.x_mp,
x_cz = 'forbiddenWordIcon';
switch (x_47.status) {
case x_mo.x_ms:
x_cz += ' added';
break;
case x_mo.x_mt:
x_cz += ' modified';
break;
} return {
x_cy: x_cz,
x_47: x_1o
};
}},{	x_7s: 'groupName',
x_gn: true,

x_na: function(x_1o) {
return {
x_47: x_1o,
x_cy: 'forbiddenWordIcon x_x3'
};
}
},
{	x_7s: 'weight',
x_23: x_x('Weight', 'httpForbiddenWords')
},
{	x_7s: 'description',
x_23: x_x('Description', 'common')
},
{	x_7s: 'enabled' ,
x_7t  : true
},
{	x_7s: 'groupId' ,
x_7t  : true
},
{	x_7s: 'status' ,
x_7t  : true
}
]
}, x_6h: {
x_5g: 'httpForbiddenWordsEditor'
},
x_65: {
x_68: 'items',
x_67: false,
x_66: {
method: 'get',
object: 'ForbiddenWordManager'
}
},

x_fe: function(x_3l, x_40) {
var
x_8d = [],
x_42 = x_40.length,
x_41;
if (0 === x_42) {
return;
}
x_fi.x_3f();
for (x_41 = 0; x_41 < x_42; x_41++) {
x_8d.push(x_40[x_41].x_47.id);
}
x_fi.x_4y('ForbiddenWordManager',
'remove',
{'ids': x_8d}
);
x_3l.x_70();
x_3l.x_2p.x_g4(x_3l.x_w0);
}}; x_w3 = new kerio.adm.x_17.x_3c(x_2w + 'x_x4', x_w2);
x_w4 = x_w3.x_5v.x_5w.x_1e.x_wz;
x_w3.x_27({
x_w4: x_w4,
x_w0: 'x_w3',
x_nl: kerio.waw.shared.x_az.x_nk.x_3e.x_nl
});
x_w4.x_27({
x_w3: x_w3,
x_w0: 'x_wz'
});

x_w5 = {
x_5p: x_o,
x_6h: {
x_5g: 'httpWhiteListItemEditor'
},
x_5v: {
x_5w: {
x_1f: 'x_x5'
}
},
x_5x: {
x_1e: [
{	x_7s: 'url',
x_23: x_x('Server', 'common')
},
{	x_7s: 'description',
x_23: x_x('Description', 'common')
}
]
},

x_fe: function(x_3l) {
x_3l.x_70();
x_3l.x_2p.x_g4(x_3l.x_w0);
}};x_w6 = new kerio.adm.x_17.x_3c(x_2w + 'x_w6', x_w5);
x_w7 = {
x_5p: true,

x_9t: function () {
var
x_p5;
x_p5 = this.x_2p;
x_p5.x_g4.call(x_p5, this.x_w0);
},x_1e: [
{	x_1f: 'x_79',
x_23: x_x('Settings', 'common'),
x_1l: true,
x_1v: 100,
x_1e: [
{	x_1f: 'x_1q',
x_1j: 'enabled',
x_1s: x_x('Enable Kerio Web Filter', 'httpWebFilter'),
x_7d: true,

x_9t: function(x_1c, x_g6, x_bg) {
var
x_1r = !x_bg;
x_1c.x_84(['statisticsEnabled'], x_1r);
x_1c.x_w6.x_84(x_1r);
}},
{
x_1f: 'x_1q',
x_1j: 'statisticsEnabled',
x_7d: true,
x_1s: x_x('Categorize each page regardless of URL rules', 'httpWebFilter')
},
{x_1f: 'x_1i',
x_1j: 'activated',
x_x6: '/admin/img/warning',
x_1m: true,
x_1o: x_x('Kerio Web Filter is not activated, categorization is disabled.', 'httpWebFilter')
}
]
},{	x_1f: 'x_79',
x_23: x_x('Kerio Web Filter White List', 'httpWebFilter'),
x_x7: true,
x_1e: [
{	x_1f: 'x_1g',
x_1j: 'x_x8',
x_1x: x_w6
}
]
}
] }; x_w8 = new kerio.lib.x_1t(x_2w + 'x_w8', x_w7);
x_w8.x_27({
x_w6: x_w6,
x_w0: 'x_x9',
x_xa: x_w8.x_29('activated')
});

x_p4 = {
x_1p: 'mainList',
x_1e: [
{
x_23: x_x('URL Rules', 'httpPolicy'),
x_1x: x_h9,
x_1j: 'x_h9'
},
{
x_23: x_x('Forbidden Words', 'httpPolicy'),
x_1x: x_w3,
x_1j: 'x_w3'
},
{
x_23: x_x('Kerio Web Filter', 'httpPolicy'),
x_1x: x_w8,
x_1j: 'x_w8'
}
] }; if (!x_o) {
x_4u = {

x_33: function(x_32, x_4x){
return this.x_3m.x_h9.x_2p.x_iy();
}, 
x_35: function(x_32, x_4x){
this.x_3m.x_h9.x_2p.x_xb();
} }; x_32 = new kerio.waw.shared.x_17.x_2u(x_2w + 'x_32', x_4u);
x_p4.x_5v = {
x_5w: x_32
};
}
x_p5 = new kerio.lib.x_py(x_n, x_p4);
x_wb = 'HttpPolicyManager';
x_wc = 'ForbiddenWordManager';

x_wa = {

x_x9: {
x_qu: false,
x_68: 'config',
x_xc: {object: x_wb,
method: 'setUrlFilterConfig',
params: ''},
x_xd: {	object: x_wb,
method: 'getUrlFilterConfig'},

x_xe: function (x_47) {
var
x_w8 = this.x_w8,
x_3l = x_w8.x_w6;
this.x_h9.x_we = (x_47.enabled && x_47.activated && x_47.licensed);
this.x_h9.x_wy = x_47.licensed;
x_w8.x_7f(!x_47.licensed || this.x_o);
x_3l.x_84(!x_47.licensed || !x_47.enabled);
x_w8.x_7k(
{	enabled: x_47.enabled,
statisticsEnabled: x_47.statisticsEnabled
}
);
x_3l.x_7k(x_47.whiteList);
this.x_xf(x_47);
},
x_xg: function() {
var
x_w8 = this.x_w8,
x_47;
x_47 = x_w8.x_7i(true);
x_47.whiteList = x_w8.x_w6.x_7i();
return {config: x_47};
}},
x_h9: {
x_qu: false,
x_68: 'rules',
x_xc: {object: x_wb,
method: 'set',
params: ''},
x_xd: {	object: x_wb,
method: 'get'},

x_xe: function (x_47) {
var
x_wx;
x_wx = this.x_h9;
x_wx.x_7k(x_47);
x_wx.x_2d(this.x_h9);
},
x_xg: function () {
var
x_47,
x_wx,
x_42;
this.x_xh = false;
x_wx = this.x_h9;
if (x_wx.x_iz()) {
this.x_xh = true;
return false;
}
x_47 = x_wx.x_7i();
x_47 = x_wx.x_j7(x_47);
return {rules: x_47};
}},
x_vn: {
x_qu: false,
x_xh: false,
x_68: 'config',
x_xc: {object: x_wb,
method: 'setAdvancedOptions'},
x_xd: {	object: x_wb,
method: 'getAdvancedOptions'},

x_xe: function (x_47) {
this.x_vn = x_47;
},
x_xg: function () {
return {config: this.x_vn};
}},
x_wz: {
x_qu: false,
x_68: 'limit',
x_xc: {object: x_wc,
method: 'setWeightLimit',
params: ''},
x_xd: {	object: x_wc,
method: 'getWeightLimit'},

x_xe: function (x_47) {
this.x_w3.x_w4.x_9w(x_47);
},
x_xg: function () {
return {limit: this.x_w3.x_w4.x_2t()};
}},
x_w3: {
x_qu: false,
x_68: 'items',
x_xc: {object: x_wc,
method: 'apply'},
x_xi: {object: x_wc,
method: 'reset'},
x_xd: {	object: x_wc,
method: 'get',
params: {'query': {'start': 0, 'limit': -1}}},

x_xe: function (x_47) {
var
x_w3 = this.x_w3;
x_w3.x_7k(x_47);
x_w3.x_dy();
x_w3.x_xj(false);
}}};x_w6.x_27({
x_w0: 'x_x9',
x_2p: x_p5
});
x_p5.x_27({
x_h9: x_h9,
x_w3: x_w3,
x_w8: x_w8,
x_vn: {},
x_g4: x_g4,
x_wa: x_wa,
x_o: x_o
});this.x_2a(x_p5);
return x_p5;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function () {
x_fi.x_3f();
this.x_lf('x_h9');
this.x_ez();
if (!this.x_o) {
kerio.waw.status.x_14.x_ia(this.x_5v.x_5w);
}
};
x_2b.x_xb = function() {
var
x_da = [],
x_f4,
x_wa,
x_1s,
x_w0;
x_wa = this.x_wa;
for (x_w0 in x_wa) {
x_1s = x_wa[x_w0];
if (x_1s.x_xi) {
x_da.push(x_1s.x_xi);
}
}
x_f4 = {
x_da: x_da,
x_2q: this,
x_2e: this.x_xk
};
x_fi.x_db(x_f4);
};
x_2b.x_xk = function() {
this.x_ez();
};
x_2b.x_ez = function() {
var
x_da = [],
x_f4,
x_wa,
x_1s,
x_w0;
x_wa = this.x_wa;
for (x_w0 in x_wa) {
x_1s = x_wa[x_w0];
if (x_1s.x_xd) {
x_da.push(x_1s.x_xd);
}
}
x_f4 = {
x_da: x_da,
x_2q: this,
x_2e: this.x_xl
};
x_fi.x_db(x_f4);
};
x_2b.x_xl = function (x_6v) {
var
x_xm = 0,
x_wa,
x_1s,
x_ql,
x_w0;
x_ql = x_6v.x_ac.batchResult;
x_wa = this.x_wa;
for (x_w0 in x_wa) {
x_1s = x_wa[x_w0];
if (x_1s.x_xe) {
x_1s.x_xe.call(this, x_ql[x_xm][x_1s.x_68]);
x_1s.x_qu = false;
}
x_xm++;
}
kerio.waw.status.x_14.x_15(false);
x_fi.x_3j();
}; 
x_2b.x_iy = function() {
var
x_da = [],
x_wa,
x_1s,
x_w0,
x_f4;
x_wa = this.x_wa;
for (x_w0 in x_wa) {
x_1s = x_wa[x_w0];
if (x_1s.x_qu && x_1s.x_xc) {
if (x_1s.x_xg) {
x_1s.x_xc.params = x_1s.x_xg.call(this);
}
x_da.push(x_1s.x_xc);
}
}
if (this.x_xh) {
this.x_xh = true;
return false;
}
x_f4 = {
x_da: x_da,
x_2q: this,
x_2e: this.x_ez
};
x_fi.x_db(x_f4);
};
x_2b.x_xf = function(x_47) {
var
x_x = kerio.lib.x_x,
x_xa = this.x_w8.x_xa,
x_xn = false,
x_1n = '';
if (x_r.x_3s.x_xo) {
x_1n = x_x('Kerio Web Filter is not available in the unregistered trial version. Please register to enable Kerio Web Filter.', 'httpWebFilter');
x_xn = true;
}
else {
if (!x_47.licensed) {
x_1n = x_x('Kerio Web Filter is not licensed, categorization is disabled.', 'httpWebFilter');
x_xn = true;
}
else {
if (!x_47.activated) {
x_1n = x_x('Kerio Web Filter is not activated, categorization is disabled.', 'httpWebFilter');
x_xn = true;
}
}
}
x_xa.x_9w(x_1n);
x_xa.x_2k(x_xn);
};
} }; 